Package org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil

# Class Service3StaticGreedyConstructorInjectionComponentServiceObjectsImpl

java.lang.Object
org.apache.sling.testing.mock.osgi.testsvc.osgiserviceutil.Service3StaticGreedyConstructorInjectionComponentServiceObjectsImpl

All Implemented Interfaces:
  `Service3StaticGreedy`

public class Service3StaticGreedyConstructorInjectionComponentServiceObjectsImpl extends Object implements Service3StaticGreedy

## Constructor Summary

Constructors
Constructor
Description
`Service3StaticGreedyConstructorInjectionComponentServiceObjectsImpl(org.osgi.service.component.ComponentServiceObjects<ServiceInterface1> reference1, org.osgi.service.component.ComponentServiceObjects<ServiceInterface1Optional> reference1Optional, List<org.osgi.service.component.ComponentServiceObjects<ServiceInterface2>> references2, List<org.osgi.service.component.ComponentServiceObjects<ServiceSuperInterface3>> references3, org.osgi.service.component.ComponentContext ctx, Map<String,Object> config)`
`Service3StaticGreedyConstructorInjectionComponentServiceObjectsImpl(org.osgi.service.component.ComponentServiceObjects<ServiceInterface1> reference1, org.osgi.service.component.ComponentServiceObjects<ServiceInterface1Optional> reference1Optional, List<org.osgi.service.component.ComponentServiceObjects<ServiceInterface2>> references2, List<org.osgi.service.component.ComponentServiceObjects<ServiceSuperInterface3>> references3, org.osgi.service.component.ComponentContext ctx, Map<String,Object> config, Object illegalParameter)`

## Method Summary

Modifier and Type
Method
Description
`org.osgi.service.component.ComponentContext`
`getComponentContext()`
`Map<String,Object>`
`getConfig()`
`ServiceInterface1`
`getReference1()`
`ServiceInterface1Optional`
`getReference1Optional()`
`List<Map<String,Object>>`
`getReference3Configs()`
`List<ServiceInterface2>`
`getReferences2()`
`List<ServiceSuperInterface3>`
`getReferences3()`
`List<ServiceSuperInterface3>`
`getReferences3Filtered()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Service3StaticGreedyConstructorInjectionComponentServiceObjectsImpl

public Service3StaticGreedyConstructorInjectionComponentServiceObjectsImpl(org.osgi.service.component.ComponentServiceObjects<ServiceInterface1> reference1, org.osgi.service.component.ComponentServiceObjects<ServiceInterface1Optional> reference1Optional, List<org.osgi.service.component.ComponentServiceObjects<ServiceInterface2>> references2, List<org.osgi.service.component.ComponentServiceObjects<ServiceSuperInterface3>> references3, org.osgi.service.component.ComponentContext ctx, Map<String,Object> config, Object illegalParameter)

### Service3StaticGreedyConstructorInjectionComponentServiceObjectsImpl

public Service3StaticGreedyConstructorInjectionComponentServiceObjectsImpl(org.osgi.service.component.ComponentServiceObjects<ServiceInterface1> reference1, org.osgi.service.component.ComponentServiceObjects<ServiceInterface1Optional> reference1Optional, List<org.osgi.service.component.ComponentServiceObjects<ServiceInterface2>> references2, List<org.osgi.service.component.ComponentServiceObjects<ServiceSuperInterface3>> references3, org.osgi.service.component.ComponentContext ctx, Map<String,Object> config)

## Method Details

### getReference1

public ServiceInterface1 getReference1()

Specified by:
  `getReference1` in interface `Service3StaticGreedy`

### getReference1Optional

public ServiceInterface1Optional getReference1Optional()

Specified by:
  `getReference1Optional` in interface `Service3StaticGreedy`

### getReferences2

public List<ServiceInterface2> getReferences2()

Specified by:
  `getReferences2` in interface `Service3StaticGreedy`

### getReferences3

public List<ServiceSuperInterface3> getReferences3()

Specified by:
  `getReferences3` in interface `Service3StaticGreedy`

### getReference3Configs

public List<Map<String,Object>> getReference3Configs()

Specified by:
  `getReference3Configs` in interface `Service3StaticGreedy`

### getReferences3Filtered

public List<ServiceSuperInterface3> getReferences3Filtered()

Specified by:
  `getReferences3Filtered` in interface `Service3StaticGreedy`

### getComponentContext

public org.osgi.service.component.ComponentContext getComponentContext()

### getConfig

public Map<String,Object> getConfig()